Results 1 to 3 of 3

Thread: Might need to update your Apple Software.

  1. #1
    Varsity Member
    Join Date
    Oct 2013
    Posts
    233
    Mentioned
    11 Post(s)
    Quoted
    64 Post(s)

    Might need to update your Apple Software.

    Just a heads up. My IT security guys were all fired up on this, so I assume it was important. There is a security flaw on the iOS and Maverick software that leaves you very vulnerable on non-trusted wifi networks. There are updates that patch this, but on the phone you have to go into the settings and check for new software, and on my macbook I had to open the app store software and tell it to search for updates.

    Probably a good idea to update things.

  2. #2
    Varsity Member
    Join Date
    Dec 2013
    Location
    Minneapolis, MN
    Posts
    662
    Mentioned
    8 Post(s)
    Quoted
    15 Post(s)
    Additionally, update from a trusted WiFi network. Although unlikely, updating on an unsecured network could result in the update payload being tampered with.
    Source: I work in iOS/mobile security

  3. #3
    Varsity Member
    Join Date
    Oct 2013
    Posts
    233
    Mentioned
    11 Post(s)
    Quoted
    64 Post(s)
    That's a good point to add. I thought it was awfully amusing that I had to turn on the wifi on my phone, to download the update for it.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •